Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004574TestLinkRequirement Managementpublic2011-06-05 18:082014-08-19 19:42
Reporterkinow 
Assigned ToJulian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.0 Alpha 2 
Fixed in Version2.0 Alpha 3 
Summary0004574: Wrong redirection page in edit requirements page on cancel
DescriptionIf you start editing a requirement and click on cancel you are redirected to the a page that shows the following message: Your search delivered no results!

I found this bug during the tests for TestLink 2.0 (Buenos Aires), more exactly while I was executing test TL-274 - Do not update tree after every operation. However I believe this issue is not associated to the update tree feature, so I didn't link the test case in bplace TestLink with this issue (let me know if what I did was wrong, so I will add this issue to the test case in bplace TestLink and it won't happen again).
Steps To Reproduce1. View a Requirement
2. Click on Edit
3. Click on Cancel
Additional InformationFor what it is worth, here is the equivalent URLs in my machine for my steps to reproduce:

1. View a Requirement

http://localhost/testlink-ga-testlink-code/lib/requirements/reqView.php?item=requirement&tproject_id=2&requirement_id=12& [^]

2. Click on Edit

http://localhost/testlink-ga-testlink-code/lib/requirements/reqEdit.php [^]

3. Click on Cancel

http://localhost/testlink-ga-testlink-code/lib/requirements/reqSpecView.php?tproject_id=2&req_spec_id= [^]
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql Ver 14.14 Distrib 5.1.41, for Win32 (ia32)
BrowserMozilla Firefox 4.0
PHP VersionPHP 5.2
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon 005.PNG [^] (37,144 bytes) 2011-06-05 18:08

- Relationships

-  Notes
(0015150)
Julian (reporter)
2011-06-06 09:49

http://gitorious.org/testlink-ga/testlink-code/commit/2ec3f4303905739795e1ddd42da848cee01c6a25 [^]

Thanks for the report.
(0015151)
Julian (reporter)
2011-06-06 09:53

Mondays...
Removed debug code and renamed view action.

http://gitorious.org/testlink-ga/testlink-code/commit/a73408bd66990efd73a87876820cd88848f2d7ff [^]

- Issue History
Date Modified Username Field Change
2011-06-05 18:08 kinow New Issue
2011-06-05 18:08 kinow File Added: 005.PNG
2011-06-06 09:49 Julian Note Added: 0015150
2011-06-06 09:49 Julian Status new => resolved
2011-06-06 09:49 Julian Fixed in Version => 2.0 Alpha 3
2011-06-06 09:49 Julian Resolution open => fixed
2011-06-06 09:49 Julian Assigned To => Julian
2011-06-06 09:49 Julian Product Version 2.0 (planned) => 2.0 Alpha 2
2011-06-06 09:53 Julian Note Added: 0015151
2014-08-19 19:42 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker